
<?php 

// Initialize the session
if(!isset($_SESSION)) { 
	session_start();
}
 
// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}


// Include config file
require_once "../config.php";


$sql = "SELECT account_id FROM users WHERE id=" . $_SESSION["id"];
$result = $link->query($sql);
$accountId = $result->fetch_assoc()["account_id"];



$sql = "SELECT purchase_amount FROM users WHERE id=" . $_SESSION["id"];
$result = $link->query($sql);
$purchaseAmount = $result->fetch_assoc()["purchase_amount"];


$sql = "SELECT order_date FROM users WHERE id=" . $_SESSION["id"];
$result = $link->query($sql);
$orderDate = $result->fetch_assoc()["order_date"];


$sql = "SELECT order_number FROM users WHERE id=" . $_SESSION["id"];
$result = $link->query($sql);
$orderNumber = $result->fetch_assoc()["order_number"];

$sql = "SELECT payment_frequency FROM users WHERE id=" . $_SESSION["id"];
$result = $link->query($sql);
$paymentFrequency = $result->fetch_assoc()["payment_frequency"];




if (!empty( $purchaseAmount )) {
	
	if ( empty( $orderDate )) {
		$purchaseAmount = '';
		// TODO itt db-be kell menteni?
	}		
		
//	unset($_COOKIE['purchase_amount']);
//	setcookie('purchase_amount', '', time() - 3600, '/'); // empty value and old timestamp
}

if ( !empty($orderNumber) ) {
	
	if ( empty( $orderDate ) ) {
		$orderNumber = '';
		// TODO db-be kell menteni?
	}
	
//	unset($_COOKIE['order_number']);
//	setcookie('order_number', '', time() - 3600, '/'); // empty value and old timestamp
}

?>


<head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <style>
    
        * { box-sizing: border-box;}

        input[type=text], select, textarea {
        width: 100%;
        padding: 12px;
        border: 1px solid #006699;
        border-radius: 4px;
        resize: vertical;
        }

        label {
        padding: 12px 12px 12px 0;
        display: inline-block;
        font-weight: bold;
        }

        select { background-color: #006699; color: white; font-weight: bold; }

        input[type=submit] {
        background-color: #006699;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        margin: 0 auto;
        display: block;
        width: 30%;
        font-weight: bold;
        }

        input[type=submit]:hover { background-color: #1a53ff; }

        .form_container {
        border-radius: 5px;
        border: 2px solid #006699;
        background-color: #f2f2f2;
        padding: 20px;
        width: 80%;
        margin: 0 auto;

        box-shadow: 10px 10px 8px #888888;
        }

        #body{
            background-color: #f8f9fa;
            background-size: 100% 1.2em;
        }

        #company_logo{
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        width: 25%;
        margin: 0 auto;
        display: block;
        background-color: #f2f2f2;

        }

        #form_title{
        font-weight: bold;
        font-size:2vw;
        text-align: center;
        display: block;
        margin: 0 auto;
        width: 100%;
        color: #006699;
        padding-top: 10px;
        }

        .col-25 {
        float: left;
        width: 25%;
        margin-top: 6px;
        }

        .col-75 {
        float: left;
        width: 75%;
        margin-top: 6px;
        }

        .row{
            width: 80%;
            margin: 0 auto;
        }
		
		.badge.bg-warning {
			color: black; left: 11px; position: absolute;
		}

        /* Clear floats after the columns */
        .row:after {
        content: "";
        display: table;
        clear: both;
        }

        #my_iframe{
        display: block;
        height: 500px;
        width: 80%;
        margin: 0 auto;
        padding: 12px 20px;
        background-color: #f2f2f2;
        border-radius: 5px;
        border: 2px solid #006699;
        box-shadow: 10px 10px 8px #888888;
        }

        #rows {
        border: 2px solid #006699;
        border-radius: 5px;
        background-color: #f2f2f2;
        padding: 20px;
        width: 80%;
        margin: 0 auto;
        box-shadow: 10px 10px 8px #888888;
        }

		
        /* --------------------------------------------------------- */

        /* Responsive layout - when the screen is less than 900px or 600px wide,
        make the two columns stack on top of each other instead of
        next to each other
        */
        @media screen and (max-width: 900px) {
        #company_logo { width: 50%; }
        #form_title { font-size:4vw; }
        }

        @media screen and (max-width: 600px) {
        .col-25, .col-75, input[type=submit] {
            width: 100%;
            margin-top: 0;
        }
        #company_logo { width: 40%; }
        #form_title { font-size:4vw; }
        #rows{ width: 90%; }
        #my_iframe { width: 90%; }

        .form_container {  width: 90%; } 
        .row{ width: 90%; }

		}
    </style>

    <title>Empire: Build yours on ours.</title>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!-- Our Custom CSS -->
    <!-- Scrollbar Custom CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.css">

    <!-- Font Awesome JS -->
    <link rel='stylesheet' href='https:////netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css'>

    <!-- Favicon -->
    <link rel="apple-touch-icon" sizes="180x180" href="../../assets/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="../../assets/favicon/site.webmanifest">
    <link rel="mask-icon" href="../../assets/favicon/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">

	
    <link rel="stylesheet" href="../../assets/css/style.css">
    <link rel="stylesheet" href="../../assets/css/social.css">
    <style>
        /* This only works with JavaScript,
           if it's not present, don't show loader */
        .no-js #loader { display: none;  }
        .js #loader { display: block; position: absolute; left: 100px; top: 0; }
    </style>
</head>



<body id="body" onload="init();">



<a href="logout.php" class="btn btn-secondary" style="margin: 10px;"><?= $lang['logout']; ?></a>

<?php if ($isDemo) { ?>
	<span class="btn btn-danger" style="margin: 10px;">demo</span>
<?php } ?>


<div class="wrapper">

    <!-- Page Content -->
    <div id="content">




        <!-- Page Content  -->
        <div>




<div class="album py-5 bg-light">
    <div class="container">

      <div class="row row-cols-3 row-cols-sm-3 row-cols-md-3 g-3" style="margin-right: auto; margin-left: auto; width: fit-content;">
	  
        <div class="col" style="max-width: 279px;">
          <div class="card shadow-sm">
            <img src="../assets/img/product/Fish_and_chips.jpg">
            <div class="card-body">
              <p class="card-text">Fish and chips</p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="btn-group">
                  <label for="productPieces1"></label>
					<select class="form-control" id="productPieces1">
					  <option>1</option>
					  <option>2</option>
					  <option>3</option>
					  <option>4</option>
					  <option>5</option>
					</select>
                </div>
                <small class="text-muted">50 HUF / <?= $lang['pieces']; ?></small>
              </div>
            </div>
          </div>
        </div>
		
        <div class="col" style="max-width: 279px;">
          <div class="card shadow-sm">
            <img src="../assets/img/product/szalamis-pizza.jpg">
            <div class="card-body">
              <p class="card-text">Pizza</p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="btn-group">
                  <label for="productPieces2"></label>
					<select class="form-control" id="productPieces2">
					  <option>1</option>
					  <option>2</option>
					  <option>3</option>
					  <option>4</option>
					  <option>5</option>
					</select>
                </div>
                <small class="text-muted">50 HUF / <?= $lang['pieces']; ?></small>
              </div>
            </div>
          </div>
        </div>
		
        <div class="col" style="max-width: 279px;">
          <div class="card shadow-sm">
            
			<img src="../assets/img/product/Hamburger_sandwich.jpg">
			
            <div class="card-body">
              <p class="card-text">Hamburger</p>
              <div class="d-flex justify-content-between align-items-center">
                <div class="btn-group">
                  <label for="productPieces3"></label>
					<select class="form-control" id="productPieces3">
					  <option>1</option>
					  <option>2</option>
					  <option>3</option>
					  <option>4</option>
					  <option>5</option>
					</select>
                </div>
                <small class="text-muted">100 HUF / <?= $lang['pieces']; ?></small>
              </div>
            </div>
          </div>
        </div>

      </div>

<button id="toCartButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-5"><?= $lang['I put it in the basket']; ?></button>

<div class="form-group">
	<input type="text" class="form-control" id="amountToBePaid" placeholder="<?= $lang['Amount to be paid']; ?>" disabled>
</div>


<nav>
  <div class="nav nav-tabs" id="nav-tab" role="tablist">
	<button class="nav-link active" id="nav-normalPayment-tab" data-bs-toggle="tab" data-bs-target="#normalPayment" type="button" role="tab" aria-controls="normalPayment" aria-selected="true"><?= $lang['Normal payment']; ?></button>
    <button class="nav-link" id="nav-cardDataSaving-tab" data-bs-toggle="tab" data-bs-target="#cardDataSaving" type="button" role="tab" aria-controls="cardDataSaving" aria-selected="true">
		<?= $lang['card data saving option']; ?>
	</button>
    <button class="nav-link" id="nav-recurring-tab" data-bs-toggle="tab" data-bs-target="#recurring" type="button" role="tab" aria-controls="nav-recurring" aria-selected="false"><?= $lang['Recurring payment'] ?></button>
    <button class="nav-link" id="nav-generateLink-tab" data-bs-toggle="tab" data-bs-target="#generateLink" type="button" role="tab" aria-controls="nav-generateLink" aria-selected="false"><?= $lang['Link payment'] ?></button>
	<button class="nav-link" id="nav-preAuth-tab" data-bs-toggle="tab" data-bs-target="#preAuth" type="button" role="tab" aria-controls="nav-preAuth" aria-selected="false"><?= $lang['Prior authorization'] ?></button>
  </div>
</nav>
<div class="tab-content" id="nav-tabContent">

	<div id="normalPayment" class="form-group tab-pane fade active show" role="tabpanel" aria-labelledby="normalPayment-tab">
		
		<div class="alert alert-primary m-4" role="alert">
		  <?= $lang['normalPayment box']; ?>
		</div>
		
		<button id="payButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3" disabled><?= $lang['Pay']; ?></button>		
	</div>
	


	<div id="cardDataSaving" class="form-group tab-pane fade" role="tabpanel" aria-labelledby="cardDataSaving-tab">

		<div class="alert alert-primary m-4" role="alert">
		  <?= $lang['card data saving option box']; ?>
		</div>

		<button id="payAndGetAccount_idButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3" disabled><?= $lang['Pay and get account_id']; ?></button>

		<br><?= $lang['auto_fill_account_id'] ?> <a href="#" class="badge bg-danger deleteData"><?= $lang['Delete data'] ?></a>
		

		<input type="text" class="form-control" id="account_idField" placeholder="account_id" value="<?php echo (empty($accountId) ? '' : $accountId ) ?>">
<span id="fillTheFieldaccount_idField" class="badge bg-warning d-none"><?= $lang['Please fill in the field'] ?></span>
		<label class="float-left" for="purchaseAmountWithAccount_idField"></label>
		<input type="text" class="form-control" id="purchaseAmountWithAccount_idField" placeholder="<?= $lang['Purchase amount']; ?>">
		
<span id="fillTheFieldPurchaseAmount" class="badge bg-warning d-none"><?= $lang['Please fill in the field'] ?></span><button id="payWithAcount_idButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3"><?= $lang['Pay with account_id']; ?></button>
		
		
<br>	
		
		<label class="float-left" for="dataSavingExpDate"></label>
		<input type="text" class="form-control" id="dataSavingExpDate" placeholder="<?= $lang['new card_expdate placeholder']; ?>" value="">
<span id="fillTheFieldExpDate" class="badge bg-warning d-none"><?= $lang['Please fill in the field'] ?></span><button id="dataSavingExpDateButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3"><?= $lang['new card_expdate button']; ?></button>
	
<br>

		<button id="dataSavingGetInfoButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3"><?= $lang['get info button']; ?></button>
		
<br>

		<button id="dataSavingDeleteAccountButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3"><?= $lang['delete account button']; ?></button>			
		
	</div>


	<div id="recurring" class="form-group tab-pane fade" role="tabpanel" aria-labelledby="recurring-tab">

		<div class="alert alert-primary m-4" role="alert">
			<?= $lang['Recurring payment box']; ?>
		</div>

<div class="container">
<div class="row" style="margin-left: auto; margin-right: auto;">
	<div class="col-2"></div>
	<div class="col-4">
			<select id="paymentFrequency" class="form-select" aria-label="" style="margin-top: 36px;">
			  <option value="0" <?php echo ( $paymentFrequency == 0 ? 'selected' : ''); ?>><?= $lang['payment frequency'] ?></option>
			  <option value="1" <?php echo ( $paymentFrequency == 1 ? 'selected' : ''); ?>><?= $lang['weekly'] ?></option>
			  <option value="2" <?php echo ( $paymentFrequency == 2 ? 'selected' : ''); ?>><?= $lang['monthly'] ?></option>
			  <option value="3" <?php echo ( $paymentFrequency == 3 ? 'selected' : ''); ?>><?= $lang['annual'] ?></option>
			</select>
	</div>

	<div class="col-4">
			<button id="payWithRecurringParameterButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3" disabled><?= $lang['Pay with Recurring parameter']; ?></button>
	</div>
	<div class="col-2"></div>	
</div>
</div>


		<br><?= $lang['auto_fill_order_number'] ?> <a href="#" class="badge bg-danger deleteData"><?= $lang['Delete data'] ?></a>

		<input type="text" class="form-control" id="recurringOrderNumber" placeholder="<?= $lang['Recurring Order Number'] ?>" value="<?php echo (isset($orderNumber) ? $orderNumber : '' ) ?>">
<span id="recurringOrderNumberWarning" class="badge bg-warning d-none"><?= $lang['Please fill in the field'] ?></span>		
		<br><?= $lang['auto_fill_purchase_amount'] ?>		
		
		<label class="float-left" for="recurringAmount"></label>
		<input type="text" class="form-control" id="recurringAmount" placeholder="<?= $lang['Purchase amount']; ?>" value="<?php echo (isset($purchaseAmount) ? $purchaseAmount : '' ) ?>">
<span id="recurringAmountWarning" class="badge bg-warning d-none"><?= $lang['Please fill in the field'] ?></span>				
		<button id="recurringOrderNumberPayButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3"><?= $lang['Recurring Pay']; ?></button>
	
	</div>


	<div id="generateLink" class="form-group tab-pane fade" role="tabpanel" aria-labelledby="generateLink-tab">

		<div class="alert alert-primary m-4" role="alert">
			<?= $lang['Link payment box']; ?>
		</div>

		<button id="generateLinkButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3" disabled><?= $lang['Generate link']; ?></button>
	
		<input type="text" class="form-control" id="generatedLink" placeholder="<?= $lang['Generated link']; ?>">
		
		<a id="openLinkButton" class="btn btn-primary d-none m-3" href="" role="button" target="_blank"><?= $lang['Open link']; ?></a>
		
	</div>
	
	

	<div id="preAuth" class="form-group tab-pane fade" role="tabpanel" aria-labelledby="preAuth-tab">
		<div class="alert alert-primary m-4" role="alert">
			<?= $lang['Prior authorization box']; ?>
		</div>
		
		<button id="preAuthorizationButton" type="button" class="btn btn-primary btn-lg px-4 gap-3 m-3" disabled><?= $lang['Preauthorization request']; ?></button>
	</div>

	

</div>



    </div>

  </div>




        </div>
    </div>
</div>
<!-- jQuery CDN - -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js"></script>
<!-- jQuery Custom Scroller CDN -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.concat.min.js"></script>

<script src="../../assets/js/animationCounter.js" charset="utf-8"></script>


<script type="text/javascript">
    $(document).ready(function () {
        $("#sidebar").mCustomScrollbar({
            theme: "minimal"
        });

        $('#sidebarCollapse').on('click', function () {
            $('#sidebar').toggleClass('active');
            $(this).toggleClass('active');
        });
        $('#content').on('click', function () {
            $('#sidebar').removeClass('active');
            $(this).removeClass('active');
        });
    });

    var startDateTime = new Date(2018,7,22,2,1,0,0); // YYYY (M-1) D H m s (start time and date from DB)
    var startStamp = startDateTime.getTime();

    var newDate = new Date();
    var newStamp = newDate.getTime();

    var timer;

    function updateClock() {
        newDate = new Date();
        newStamp = newDate.getTime();
        return Math.round((newStamp-startStamp)/1000);
    }

    $('#counter-block').ready(function(){
        $('.counter').animationCounter({
            start: updateClock(),
            step: 1,
            delay:500,
            txt: ''
        });
    });
    $('#counter-block').ready(function(){
        $('.counter-top').animationCounter({
            start: updateClock(),
            step: 1,
            delay:500,
            txt: ''
        });
    });
</script>




<script>

	$( "#toCartButton" ).click(function() {
		
		var sum = $('#productPieces1').val() * 50 + $('#productPieces2').val() * 50 + $('#productPieces3').val() * 100;
		
		$('#amountToBePaid').val(sum + '.00');
		
		$( "#payButton" ).prop('disabled', false);
		$( "#payAndGetAccount_idButton" ).prop('disabled', false);
		$( "#payWithRecurringParameterButton" ).prop('disabled', false);
		$( "#generateLinkButton" ).prop('disabled', false);
		$( "#preAuthorizationButton" ).prop('disabled', false);
		
		
		$( "#purchase_amount").val(sum + '.00');
		
	});
	
	$( "#payButton" ).click(function() {
		
		updateHash();
		
		doSubmit();
		
	});
	
	$( "#payAndGetAccount_idButton" ).click(function() {

		$( "#trantype").val('auth');
		$( "#request_type").val( 'register' );
		
		updateHash();
		
		doSubmit();
		
	});	
	
	$( "#payWithAcount_idButton" ).click(function() {

		// ha üres a mező
		if ($('#account_idField').val() == '') {
			$('#fillTheFieldaccount_idField').removeClass('d-none');
			return false;
		}
		
		if ($('#purchaseAmountWithAccount_idField').val() == '') {
			$('#fillTheFieldPurchaseAmount').removeClass('d-none');
			return false;
		}

		$( "#trantype").val('auth');
		$( "#request_type").val( 'use' );
		
		$( "#account_id").val( $('#account_idField').val() );
		$( "#purchase_amount").val( $('#purchaseAmountWithAccount_idField').val() );
	
		updateHash();
		
		doSubmit();			
		
	});
	
	
	$( "#payWithRecurringParameterButton" ).click(function() {
		
		$( "#request_type").val('recurring');
		
		updateHash();
		
		doSubmit();
		
	});	
	
	
	$( "#recurringOrderNumberPayButton" ).click(function() {
		
		if ($('#recurringOrderNumber').val() == '') {
			$('#recurringOrderNumberWarning').removeClass('d-none');
			return false;
		}
		
		if ($('#recurringAmount').val() == '') {
			$('#recurringAmountWarning').removeClass('d-none');
			return false;
		}		
		
		$( "#recurring_order_number").val( $('#recurringOrderNumber').val() );
		$( "#request_type").val('recurring');
		
		$( "#purchase_amount").val( $('#recurringAmount').val() );
		
				
		
		updateHash();
		
		doSubmit();
		
	});


	$( "#dataSavingExpDateButton" ).click(function() {	
	
		// ha üres a mező
		if ($('#account_idField').val() == '') {
			$('#fillTheFieldaccount_idField').removeClass('d-none');
			return false;
		}
		
		if ($('#dataSavingExpDate').val() == '') {
			$('#fillTheFieldExpDate').removeClass('d-none');
			return false;
		}
		
		$( "#request_type").val('update');
		$( "#account_id").val( $('#account_idField').val() );

		$( "#card_expdate").val( $('#dataSavingExpDate').val() );

		updateHash();
		
		doSubmit();
		
	});
	
	
	$( "#dataSavingGetInfoButton" ).click(function() {

		if ($('#account_idField').val() == '') {
			$('#fillTheFieldaccount_idField').removeClass('d-none');
			return false;
		}
		
		$( "#request_type").val('get');
		$( "#account_id").val( $('#account_idField').val() );

		updateHash();
		
		doSubmit();	
		
	});


$( "#dataSavingDeleteAccountButton" ).click(function() {
	
		if ($('#account_idField').val() == '') {
			$('#fillTheFieldaccount_idField').removeClass('d-none');
			return false;
		}
	
		$( "#request_type").val('delete');
		$( "#account_id").val( $('#account_idField').val() );
		
	
		updateHash();
		
		doSubmit();	
	
});


	
	$( "#generateLinkButton" ).click(function() {
	
		updateHash();
	
				
		$('#generatedLink').val( '<?= $URL; ?>' + '?' +
				"merchant_id" + "=" + document.getElementById('merchant_id').value + '&' +
				"purchase_amount" + "=" + document.getElementById('purchase_amount').value + '&' +
				"purchase_currency" + "=" + document.getElementById('purchase_currency').value + '&' +
				"order_number" + "=" + document.getElementById('order_number').value + '&' +
				"request_type" + "=" + document.getElementById('request_type').options[document.getElementById('request_type').selectedIndex].text + '&' +
				"trantype" + "=" + document.getElementById('trantype').options[document.getElementById('trantype').selectedIndex].text + '&' +
				"purchase_description" + "=" + document.getElementById('purchase_description').value + '&' +
				"customer_name" + "=" + document.getElementById('customer_name').value + '&' +
				"customer_surname" + "=" + document.getElementById('customer_surname').value + '&' +
				"customer_address" + "=" + document.getElementById('customer_address').value + '&' +
				"customer_city" + "=" + document.getElementById('customer_city').value + '&' +
				"customer_zip" + "=" + document.getElementById('customer_zip').value + '&' +
				"customer_email" + "=" + document.getElementById('customer_email').value + '&' +
				"customer_lang" + "=" + document.getElementById('customer_lang').value + '&' +
				"customer_phone" + "=" + document.getElementById('customer_phone').value + '&' +
				"terminal_id" + "=" + document.getElementById('terminal_id').value + '&' +
				"merchant_approve_url" + "=" + document.getElementById('merchant_approve_url').value + '&' +
				"merchant_decline_url" + "=" + document.getElementById('merchant_decline_url').value + '&' +
				'request_hash=' + $('#request_hash').val() + '&urlLabel=' + '<?= $URL; ?>' );
				
		$( "#openLinkButton" ).prop('disabled', false);
		$( "#openLinkButton" ).prop('href', $('#generatedLink').val());
		$( "#openLinkButton" ).removeClass('d-none');
	});
	
	
	$( "#preAuthorizationButton" ).click(function() {
		
		$( "#trantype").val('preauth');
		
		updateHash();
		
		doSubmit();
	
	});
	
	

	$( ".deleteData" ).click(function() {
		
		$.post( "../deleteData.php", function( data ) {
  
			$('#account_idField').val('');
			$('#recurringOrderNumber').val('');
			$('#recurringAmount').val('');
			$('#paymentFrequency').val('0').change();
  
		});
	});	
	
	
	$( "#paymentFrequency" ).change(function() {
		
		$.post( "../paymentFrequency.php", { 'selected' : $(this).val() }, function( data ) {
  
			
  
		});
		
	});	
	
	
	
</script>




<script type="text/javascript" charset="UTF-8">

var url='';

var testCases = {
testCase1:{
    url: "",
    merchant_id: "<?= $merchant_id ?>",
    purchase_amount: "200.00",
    customer_lang: "<?= $customerLang ?>",
    trantype: "auth",
    account_id: "",
    card_pan: "",
    card_expdate: "",
    card_cvd: "",
    request_type: "transaction",
    customer_country: "",
    fixed_card_type: "",
    fixed_installments: "",
    proxy: "",
    customer_name: "MyName",
    purchase_currency: "348",
    purchase_installments: "",
    purchase_differperiod: "",
    purchase_description: "Test order",
	merchant_approve_url: "<?= $merchant_approve_url ?>",
	merchant_decline_url: "<?= $merchant_decline_url ?>"
    }
}

var merchants = {
}

var pans = {}

var customers = {
MyName: {name: "MyName", surname: "MySurname", address: "Test Address", city: "Test City1", zip: "10000", email: "test@email.com", phone: "38512345678"}
}

var isAutoExpCvd = false;
var isOneClick;

function changeUrl(providedUrl){
    url = providedUrl;
    //document.getElementById("urlLabel").innerHTML = url;
}

function setCustomer(name){
    var customer = customers[name];
    document.getElementById("customer_name").value = customer.name;
    document.getElementById("customer_surname").value = customer.surname;
    document.getElementById("customer_address").value = customer.address;
    document.getElementById("customer_city").value = customer.city;
    document.getElementById("customer_zip").value = customer.zip;
    document.getElementById("customer_email").value = customer.email;
    document.getElementById("customer_phone").value = customer.phone;
}

function setOneClick(mid){
    var merchantId = merchants[mid];
    isOneClick = merchantId.oneclick;
    var select = document.getElementById("request_type");
    if (!isOneClick) {
        select.options.namedItem("registerOption").style.display = "none";
        select.options.namedItem("updateOption").style.display = "none";
        select.options.namedItem("getOption").style.display = "none";
        select.options.namedItem("useOption").style.display = "none";
        select.options.namedItem("deleteOption").style.display = "none";
        //document.getElementById("account_idDiv").style.display = "none";
    } else {
        select.options.namedItem("registerOption").style.display = "block";
        select.options.namedItem("updateOption").style.display = "block";
        select.options.namedItem("getOption").style.display = "block";
        select.options.namedItem("useOption").style.display = "block";
        select.options.namedItem("deleteOption").style.display = "block";
    }
}

function autoFillExpCvd(pan){
    if(isAutoExpCvd){
        var expcvd = pans[pan];
        document.getElementById("card_cvd").value = expcvd.cvd;
        document.getElementById("card_expdate").value = expcvd.expdate;
    }
}

function autoFillTestCases(providedTestCase){
    var testCase = this.testCases[providedTestCase];
    setCustomer(testCase.customer_name);
    document.getElementById("merchant_id").value = testCase.merchant_id;
    document.getElementById("purchase_amount").value = testCase.purchase_amount;
    document.getElementById("customer_lang").value = testCase.customer_lang;
    document.getElementById("trantype").value = testCase.trantype;
    document.getElementById("account_id").value = testCase.account_id;
    document.getElementById("card_pan").value = testCase.card_pan;
    document.getElementById("card_expdate").value = testCase.card_expdate;
    document.getElementById("card_cvd").value = testCase.card_cvd;
    document.getElementById("request_type").value = testCase.request_type;
    document.getElementById("customer_country").value = testCase.customer_country;
    document.getElementById("fixed_card_type").value = testCase.fixed_card_type;
    document.getElementById("fixed_installments").value = testCase.fixed_installments;
    document.getElementById("proxy").value = testCase.proxy;
    document.getElementById("customer_name").value = testCase.customer_name;
    document.getElementById("purchase_currency").value = testCase.purchase_currency;
    document.getElementById("purchase_installments").value = testCase.purchase_installments;
    document.getElementById("purchase_differperiod").value = testCase.purchase_differperiod;
    document.getElementById("purchase_description").value = testCase.purchase_description;
    document.getElementById("merchant_approve_url").value = testCase.merchant_approve_url;
    document.getElementById("merchant_decline_url").value = testCase.merchant_decline_url;
    isCompletionSelected();
    //setOneClick(testCase.merchant_id);
}

function addPanOptions(){
    var panArray = Object.keys(pans);
    var panOptions = document.getElementById("card_pan");
    for (var i = 0; i < panArray.length; i++) {
        var option = document.createElement("option");
        option.setAttribute("value", panArray[i]);
        option.text = panArray[i];
        panOptions.appendChild(option);
    }
    panOptions.value = "";
}

function addMidOptions(){
    var merchantsArray = Object.keys(merchants);
    var midOptions = document.getElementById("merchant_id");
    for (var i = 0; i < merchantsArray.length; i++) {
        var option = document.createElement("option");
        option.setAttribute("value", merchantsArray[i]);
        option.text = merchantsArray[i];
        midOptions.appendChild(option);
    }
    midOptions.value = "";
}

function addCustomersOptions(){
    var customersArray = Object.keys(customers);
    var customersOptions = document.getElementById("customer_name");
    for (var i = 0; i < customersArray.length; i++) {
        var option = document.createElement("option");
        option.setAttribute("value", customersArray[i]);
        option.text = customersArray[i];
        customersOptions.appendChild(option);
    }
    customersOptions.value = "";
}

function addTestCasesOptions(){
    var testCasesArray = Object.keys(testCases);
    var testCasesOptions = document.getElementById("testcase");
    for (var i = 0; i < testCasesArray.length; i++) {
        var option = document.createElement("option");
        option.setAttribute("value", testCasesArray[i]);
        option.text = testCasesArray[i];
        testCasesOptions.appendChild(option);
    }
    document.getElementById("testcase").value = "";
}

function isCompletionSelected() {
    if (document.getElementById('trantype').options[document.getElementById('trantype').selectedIndex].text == "completion") {
        document.getElementById("completionRow").style.display = "block";
    } else {
        document.getElementById("completionRow").style.display = "none";
    }
}

function init (){
    var currentTime = new Date()
    var yy=currentTime.getYear();
    var dd =currentTime.getDate();
    var mm=currentTime.getMonth();
    if(dd<9){
        dd="0"+dd;
    }
    dd=dd;
    mm=mm+1;
    addPanOptions();
    addMidOptions();
    addCustomersOptions();
    addTestCasesOptions();
    //changeUrl(url);
    //autoFillTestCases(defaultTestCase);
    isCompletionSelected();
    // document.getElementById('merchant_id').value=merchant_id;
    document.getElementById('order_number').value="1ORD_"+yy+dd+mm+"_"+Math.floor(Math.random()*10001);
    payinfo.action =  url;
   
    let element = document.getElementById("testcase");
    element.value = "testCase1";
    autoFillTestCases("testCase1");
    updateHash();

}

function doSubmit() {
    payinfo.action = document.getElementById("urlLabel").value;
    
    var allInputs = document.getElementById("payinfo").elements;
    
    //console.log(payinfo);
    //console.log(allInputs);
    
    for (var i = 0; i < allInputs.length; i++) {
        var input = allInputs[i];
        //console.log(input);
        if (input.name && (!input.value || input.value.length==0)) {
            //console.log('Omitting input ' + input.name);
            input.name = '';
        }
    }

    payinfo.submit();
}

function updateHash() {

    var currentTime = new Date()
    var yy=currentTime.getYear();
    var dd =currentTime.getDate();
    var mm=currentTime.getMonth();
    if(dd<9){
        dd="0"+dd;
    }
    dd=dd;
    mm=mm+1;
	document.getElementById('order_number').value="1ORD_"+yy+dd+mm+"_"+Math.floor(Math.random()*10001);

    let parameters = [
        
        "merchant_id" + "=" + document.getElementById('merchant_id').value,
        "purchase_amount" + "=" + document.getElementById('purchase_amount').value,
        "purchase_currency" + "=" + document.getElementById('purchase_currency').value,
        "order_number" + "=" + document.getElementById('order_number').value,
        "request_type" + "=" + document.getElementById('request_type').options[document.getElementById('request_type').selectedIndex].text,
        "trantype" + "=" + document.getElementById('trantype').options[document.getElementById('trantype').selectedIndex].text,
        "purchase_installments" + "=" + document.getElementById('purchase_installments').value,
        "purchase_description" + "=" + document.getElementById('purchase_description').value,
        "customer_name" + "=" + document.getElementById('customer_name').value,
        "customer_surname" + "=" + document.getElementById('customer_surname').value,
        "customer_address" + "=" + document.getElementById('customer_address').value,
        "customer_country" + "=" + document.getElementById('customer_country').value,
        "customer_city" + "=" + document.getElementById('customer_city').value,
        "customer_zip" + "=" + document.getElementById('customer_zip').value,
        "card_expdate" + "=" + document.getElementById('card_expdate').value,
        "card_pan" + "=" + document.getElementById('card_pan').value,
        "customer_email" + "=" + document.getElementById('customer_email').value,
        "customer_lang" + "=" + document.getElementById('customer_lang').value,
        "customer_phone" + "=" + document.getElementById('customer_phone').value,
        "payment_method" + "=" + document.getElementById('payment_method').options[document.getElementById('payment_method').selectedIndex].text,
        "purchase_differperiod" + "=" + document.getElementById('purchase_differperiod').value,
        "loyalty_data" + "=" + document.getElementById('loyalty_data').value,
        "account_id" + "=" + document.getElementById('account_id').value,
        "additional_compl_data1" + "=" + document.getElementById('additional_compl_data1').value,
        "terminal_id" + "=" + document.getElementById('terminal_id').value,
        "card_cvd" + "=" + document.getElementById('card_cvd').value,
        "fixed_card_type" + "=" + document.getElementById('fixed_card_type').value,
        "fixed_installments" + "=" + document.getElementById('fixed_installments').value,
        "proxy" + "=" + document.getElementById('proxy').value,
        "iopg_id" + "=" + document.getElementById('iopg_id').value,
        "discounted_amount" + "=" + document.getElementById('discounted_amount').value,
        "discounted_card_types" + "=" + document.getElementById('discounted_card_types').value,
        "discounted_max_installments" + "=" + document.getElementById('discounted_max_installments').value,
        "order_delivery_date" + "=" + document.getElementById('order_delivery_date').value,
        "merchant_approve_url" + "=" + document.getElementById('merchant_approve_url').value,
        "merchant_decline_url" + "=" + document.getElementById('merchant_decline_url').value,
        "recurring_order_number" + "=" + document.getElementById('recurring_order_number').value
    
    ];

    parameters.sort();
    
    let stringToHash = "";
    let hashSeparator = "&";
    let parametersLength = parameters.length;
    for (let i = 0; i<parametersLength; i++) {
        if (parameters[i].split("=")[1].length > 0) {
        stringToHash = stringToHash.concat(parameters[i]);
        stringToHash = stringToHash.concat(hashSeparator);
        //console.log("Adding " + parameters[i] + " to stringToHash");
        }
    }
	
	
		
	$.ajax({
		method: "POST",
		url: "../hash<?= ($isDemo ? '_demo' : '' ); ?>.php",
		data: { stringToHash: stringToHash },
		async: false,
	})
	.done(function( msg ) {
		document.getElementById('request_hash').value=msg;
	});
	
}

</script>




<form name="payinfo" id="payinfo" action="" method="POST" target="_self" enctype="application/x-www-form-urlencoded;charset=UTF-8" <!-- style="display:none;" -->>
              
              <div id="rows">

                <div class="row">
                    <input type="submit" value="SEND" onclick="javascript:doSubmit();">
                </div>
                
                <div class="row" style="display: none;">
                    <div class="col-25"><label for="testcase">Testcase:</label></div>
                    <div class="col-75">
                    <select id="testcase" type="text" value="" onChange="autoFillTestCases(this.value); updateHash();"
                    >
                    </select>
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="merchant_id">merchant_id:</label></div>
                    <div class="col-75">
                    <input id="merchant_id" type="text" name="merchant_id"
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();"
                    >
                    </select>
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="merchant_approve_url">merchant_approve_url:</label></div>
                    <div class="col-75">
                    <input type="text" name="merchant_approve_url" id="merchant_approve_url" value=""
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();"
                    >
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="merchant_decline_url">merchant_decline_url:</label></div>
                    <div class="col-75">
                    <input type="text" name="merchant_decline_url" id="merchant_decline_url" value=""
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();"
                    >
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="purchase_amount">purchase_amount:</label></div>
                    <div class="col-75">
                    <input type="text" name="purchase_amount" id="purchase_amount" value="1.00"
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();"
                    >
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="purchase_currency">purchase_currency:</label></div>
                    <div class="col-75">
                    <select type="text" id="purchase_currency" name="purchase_currency"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                        <option value="008">ALL</option>
                        <option value="012">DZD</option>
                        <option value="032">ARS</option>
                        <option value="036">AUD</option>
                        <option value="044">BSD</option>
                        <option value="048">BHD</option>
                        <option value="050">BDT</option>
                        <option value="051">AMD</option>
                        <option value="052">BBD</option>
                        <option value="060">BMD</option>
                        <option value="064">BTN</option>
                        <option value="068">BOB</option>
                        <option value="072">BWP</option>
                        <option value="084">BZD</option>
                        <option value="090">SBD</option>
                        <option value="096">BND</option>
                        <option value="108">BIF</option>
                        <option value="116">KHR</option>
                        <option value="124">CAD</option>
                        <option value="132">CVE</option>
                        <option value="136">KYD</option>
                        <option value="144">LKR</option>
                        <option value="152">CLP</option>
                        <option value="156">CNY</option>
                        <option value="170">COP</option>
                        <option value="174">KMF</option>
                        <option value="188">CRC</option>
                        <option value="191">HRK</option>
                        <option value="196">CYP</option>
                        <option value="203">CZK</option>
                        <option value="208">DKK</option>
                        <option value="214">DOP</option>
                        <option value="222">SVC</option>
                        <option value="230">ETB</option>
                        <option value="232">ERN</option>
                        <option value="233">EEK</option>
                        <option value="238">FKP</option>
                        <option value="242">FJD</option>
                        <option value="262">DJF</option>
                        <option value="270">GMD</option>
                        <option value="288">GHC</option>
                        <option value="292">GIP</option>
                        <option value="320">GTQ</option>
                        <option value="324">GNF</option>
                        <option value="328">GYD</option>
                        <option value="332">HTG</option>
                        <option value="340">HNL</option>
                        <option value="344">HKD</option>
                        <option value="348">HUF</option>
                        <option value="352">ISK</option>
                        <option value="356">INR</option>
                        <option value="360">IDR</option>
                        <option value="376">ILS</option>
                        <option value="388">JMD</option>
                        <option value="392">JPY</option>
                        <option value="398">KZT</option>
                        <option value="400">JOD</option>
                        <option value="404">KES</option>
                        <option value="410">KRW</option>
                        <option value="414">KWD</option>
                        <option value="417">KGS</option>
                        <option value="418">LAK</option>
                        <option value="422">LBP</option>
                        <option value="426">LSL</option>
                        <option value="428">LVL</option>
                        <option value="430">LRD</option>
                        <option value="440">LTL</option>
                        <option value="446">MOP</option>
                        <option value="450">MGF</option>
                        <option value="454">MWK</option>
                        <option value="458">MYR</option>
                        <option value="462">MVR</option>
                        <option value="470">MTL</option>
                        <option value="478">MRO</option>
                        <option value="480">MUR</option>
                        <option value="484">MXN</option>
                        <option value="496">MNT</option>
                        <option value="498">MDL</option>
                        <option value="504">MAD</option>
                        <option value="508">MZM</option>
                        <option value="512">OMR</option>
                        <option value="516">NAD</option>
                        <option value="524">NPR</option>
                        <option value="532">ANG</option>
                        <option value="533">AWG</option>
                        <option value="548">VUV</option>
                        <option value="554">NZD</option>
                        <option value="558">NIO</option>
                        <option value="566">NGN</option>
                        <option value="578">NOK</option>
                        <option value="586">PKR</option>
                        <option value="590">PAB</option>
                        <option value="598">PGK</option>
                        <option value="600">PYG</option>
                        <option value="604">PEN</option>
                        <option value="608">PHP</option>
                        <option value="624">GWP</option>
                        <option value="634">QAR</option>
                        <option value="642">ROL</option>
                        <option value="643">RUB</option>
                        <option value="646">RWF</option>
                        <option value="654">SHP</option>
                        <option value="678">STD</option>
                        <option value="682">SAR</option>
                        <option value="690">SCR</option>
                        <option value="694">SLL</option>
                        <option value="702">SGD</option>
                        <option value="703">SKK</option>
                        <option value="704">VND</option>
                        <option value="705">SIT</option>
                        <option value="706">SOS</option>
                        <option value="710">ZAR</option>
                        <option value="716">ZWD</option>
                        <option value="740">SRG</option>
                        <option value="748">SZL</option>
                        <option value="752">SEK</option>
                        <option value="756">CHF</option>
                        <option value="760">SYP</option>
                        <option value="764">THB</option>
                        <option value="776">TOP</option>
                        <option value="780">TTD</option>
                        <option value="784">AED</option>
                        <option value="788">TND</option>
                        <option value="795">TMM</option>
                        <option value="800">UGX</option>
                        <option value="807">MKD</option>
                        <option value="818">EGP</option>
                        <option value="826">GBP</option>
                        <option value="834">TZS</option>
                        <option value="840">USD</option>
                        <option value="858">UYU</option>
                        <option value="860">UZS</option>
                        <option value="862">VEB</option>
                        <option value="882">WST</option>
                        <option value="886">YER</option>
                        <option value="891">CSD</option>
                        <option value="894">ZMK</option>
                        <option value="901">TWD</option>
                        <option value="941">CSD</option>
                        <option value="943">MZN</option>
                        <option value="944">AZN</option>
                        <option value="946">RON</option>
                        <option value="947">CHE</option>
                        <option value="948">CHW</option>
                        <option value="949">TRY</option>
                        <option value="950">XAF</option>
                        <option value="951">XCD</option>
                        <option value="952">XOF</option>
                        <option value="953">XPF</option>
                        <option value="968">SRD</option>
                        <option value="969">MGA</option>
                        <option value="970">COU</option>
                        <option value="972">TJS</option>
                        <option value="974">BYR</option>
                        <option value="975">BGN</option>
                        <option value="976">CDF</option>
                        <option value="977">BAM</option>
                        <option value="978">EUR</option>
                        <option value="980">UAH</option>
                        <option value="981">GEL</option>
                        <option value="985">PLN</option>
                        <option value="986">BRL</option>
                    </select>
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="order_number">order_number:</label></div>
                    <div class="col-75">
                    <input type="text" name="order_number" id="order_number" value=""
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();">
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="recurring_order_number">recurring_order_number:</label></div>
                    <div class="col-75">
                    <input type="text" name="recurring_order_number" id="recurring_order_number" value=""
                    onChange="updateHash();"
                    onKeyUp="updateHash();"
                    onMouseUp="updateHash();">
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="request_type">request_type:</label></div>
                    <div class="col-75">
                    <select type="text" id="request_type" name="request_type"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                        <option value="checkstatus">checkstatus</option>
<!--                    <option value="checkstatusfull">checkstatusfull</option>	-->
                        <option value="buyer_choice">buyer_choice</option>
                        <option value="transaction">transaction</option>
                        <option value="completion">completion</option>
                        <option value="reversal">reversal</option>
                        <option value="refund">refund</option>
                        <option id="registerOption" value="register">register</option>
                        <option id="updateOption" value="update">update</option>
                        <option id="getOption" value="get">get</option>
                        <option id="useOption" value="use">use</option>
                        <option id="deleteOption" value="delete">delete</option>
                        <option value="recurring">recurring</option>
                    </select>
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="trantype">trantype:</label></div>
                    <div class="col-75">
                    <select id="trantype" type="text" name="trantype" onChange="isCompletionSelected(); updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                        <option value="auth">auth</option>
                        <option value="preauth">preauth</option>
                        <option value="completion">completion</option>
                        <option value="refund">refund</option>
                        <option value="reversal">reversal</option>
                    </select>
                    </div>
                </div>
                                
                <div class="row">
                    <div class="col-25"><label for="purchase_installments">purchase_installments:</label></div>
                    <div class="col-75"><input type="text" id="purchase_installments" name="purchase_installments" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="purchase_description">purchase_description:</label></div>
                    <div class="col-75"><input type="text" id="purchase_description" name="purchase_description" value="Test order"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="purchase_differperiod">purchase_differperiod:</label></div>
                    <div class="col-75"><input type="text" id="purchase_differperiod" name="purchase_differperiod" value="Test order"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="customer_name">customer_name:</label></div>
                    <div class="col-75"><input type="text" id="customer_name" name="customer_name" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_surname">customer_surname:</label></div>
                    <div class="col-75"><input type="text" id="customer_surname" name="customer_surname" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_address">customer_address:</label></div>
                    <div class="col-75"><input type="text" id="customer_address" name="customer_address" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="customer_country">customer_country:</label></div>
                    <div class="col-75"><input type="text" id = "customer_country" name="customer_country" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_city">customer_city:</label></div>
                    <div class="col-75"><input type="text" id="customer_city" name="customer_city" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_zip">customer_zip:</label></div>
                    <div class="col-75"><input type="text" id="customer_zip" name="customer_zip" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_lang">customer_lang:</label></div>
                    <div class="col-75">
                    <select id="customer_lang" type="text" name="customer_lang" onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                        <option value="af">af</option>
                        <option value="ax">ax</option>
                        <option value="al">al</option>
                        <option value="dz">dz</option>
                        <option value="as">as</option>
                        <option value="ad">ad</option>
                        <option value="ao">ao</option>
                        <option value="ai">ai</option>
                        <option value="ag">ag</option>
                        <option value="ar">ar</option>
                        <option value="am">am</option>
                        <option value="aw">aw</option>
                        <option value="au">au</option>
                        <option value="at">at</option>
                        <option value="az">az</option>
                        <option value="bs">bs</option>
                        <option value="bh">bh</option>
                        <option value="bd">bd</option>
                        <option value="bb">bb</option>
                        <option value="by">by</option>
                        <option value="be">be</option>
                        <option value="bz">bz</option>
                        <option value="bj">bj</option>
                        <option value="bm">bm</option>
                        <option value="bt">bt</option>
                        <option value="bo">bo</option>
                        <option value="ba">ba</option>
                        <option value="bw">bw</option>
                        <option value="bv">bv</option>
                        <option value="br">br</option>
                        <option value="io">io</option>
                        <option value="bn">bn</option>
                        <option value="bg">bg</option>
                        <option value="bf">bf</option>
                        <option value="bi">bi</option>
                        <option value="cv">cv</option>
                        <option value="kh">kh</option>
                        <option value="cm">cm</option>
                        <option value="ca">ca</option>
                        <option value="ky">ky</option>
                        <option value="cf">cf</option>
                        <option value="td">td</option>
                        <option value="cl">cl</option>
                        <option value="cn">cn</option>
                        <option value="cx">cx</option>
                        <option value="cc">cc</option>
                        <option value="co">co</option>
                        <option value="km">km</option>
                        <option value="cg">cg</option>
                        <option value="cd">cd</option>
                        <option value="ck">ck</option>
                        <option value="cr">cr</option>
                        <option value="hr">hr</option>
                        <option value="cu">cu</option>
                        <option value="cw">cw</option>
                        <option value="cy">cy</option>
                        <option value="cz">cz</option>
                        <option value="dk">dk</option>
                        <option value="dj">dj</option>
                        <option value="dm">dm</option>
                        <option value="do">do</option>
                        <option value="ec">ec</option>
                        <option value="eg">eg</option>
                        <option value="sv">sv</option>
                        <option value="gq">gq</option>
                        <option value="er">er</option>
                        <option value="ee">ee</option>
                        <option value="sz">sz</option>
                        <option value="et">et</option>
                        <option value="fk">fk</option>
                        <option value="fo">fo</option>
                        <option value="fj">fj</option>
                        <option value="fi">fi</option>
                        <option value="fr">fr</option>
                        <option value="gf">gf</option>
                        <option value="pf">pf</option>
                        <option value="tf">tf</option>
                        <option value="ga">ga</option>
                        <option value="gm">gm</option>
                        <option value="ge">ge</option>
                        <option value="de">de</option>
                        <option value="gh">gh</option>
                        <option value="gi">gi</option>
                        <option value="gr">gr</option>
                        <option value="gl">gl</option>
                        <option value="gd">gd</option>
                        <option value="gp">gp</option>
                        <option value="gu">gu</option>
                        <option value="gt">gt</option>
                        <option value="gg">gg</option>
                        <option value="gn">gn</option>
                        <option value="gw">gw</option>
                        <option value="gy">gy</option>
                        <option value="ht">ht</option>
                        <option value="hm">hm</option>
                        <option value="va">va</option>
                        <option value="hn">hn</option>
                        <option value="hk">hk</option>
                        <option value="hu">hu</option>
                        <option value="is">is</option>
                        <option value="in">in</option>
                        <option value="id">id</option>
                        <option value="ir">ir</option>
                        <option value="iq">iq</option>
                        <option value="ie">ie</option>
                        <option value="im">im</option>
                        <option value="il">il</option>
                        <option value="it">it</option>
                        <option value="ci">ci</option>
                        <option value="jm">jm</option>
                        <option value="jp">jp</option>
                        <option value="je">je</option>
                        <option value="jo">jo</option>
                        <option value="kz">kz</option>
                        <option value="ke">ke</option>
                        <option value="ki">ki</option>
                        <option value="kp">kp</option>
                        <option value="kw">kw</option>
                        <option value="kg">kg</option>
                        <option value="la">la</option>
                        <option value="lv">lv</option>
                        <option value="lb">lb</option>
                        <option value="ls">ls</option>
                        <option value="lr">lr</option>
                        <option value="ly">ly</option>
                        <option value="li">li</option>
                        <option value="lt">lt</option>
                        <option value="lu">lu</option>
                        <option value="mo">mo</option>
                        <option value="mg">mg</option>
                        <option value="mw">mw</option>
                        <option value="my">my</option>
                        <option value="mv">mv</option>
                        <option value="ml">ml</option>
                        <option value="mt">mt</option>
                        <option value="mh">mh</option>
                        <option value="mq">mq</option>
                        <option value="mr">mr</option>
                        <option value="mu">mu</option>
                        <option value="yt">yt</option>
                        <option value="mx">mx</option>
                        <option value="fm">fm</option>
                        <option value="md">md</option>
                        <option value="mc">mc</option>
                        <option value="mn">mn</option>
                        <option value="me">me</option>
                        <option value="ms">ms</option>
                        <option value="ma">ma</option>
                        <option value="mz">mz</option>
                        <option value="mm">mm</option>
                        <option value="na">na</option>
                        <option value="nr">nr</option>
                        <option value="np">np</option>
                        <option value="nl">nl</option>
                        <option value="nc">nc</option>
                        <option value="nz">nz</option>
                        <option value="ni">ni</option>
                        <option value="ne">ne</option>
                        <option value="ng">ng</option>
                        <option value="nu">nu</option>
                        <option value="nf">nf</option>
                        <option value="mk">mk</option>
                        <option value="mp">mp</option>
                        <option value="no">no</option>
                        <option value="om">om</option>
                        <option value="pk">pk</option>
                        <option value="pw">pw</option>
                        <option value="ps">ps</option>
                        <option value="pa">pa</option>
                        <option value="pg">pg</option>
                        <option value="py">py</option>
                        <option value="pe">pe</option>
                        <option value="ph">ph</option>
                        <option value="pn">pn</option>
                        <option value="pl">pl</option>
                        <option value="pt">pt</option>
                        <option value="pr">pr</option>
                        <option value="qa">qa</option>
                        <option value="re">re</option>
                        <option value="kr">kr</option>
                        <option value="ro">ro</option>
                        <option value="ru">ru</option>
                        <option value="rw">rw</option>
                        <option value="bl">bl</option>
                        <option value="kn">kn</option>
                        <option value="lc">lc</option>
                        <option value="mf">mf</option>
                        <option value="pm">pm</option>
                        <option value="vc">vc</option>
                        <option value="ws">ws</option>
                        <option value="sm">sm</option>
                        <option value="st">st</option>
                        <option value="sa">sa</option>
                        <option value="sn">sn</option>
                        <option value="rs">rs</option>
                        <option value="sc">sc</option>
                        <option value="sl">sl</option>
                        <option value="sg">sg</option>
                        <option value="sx">sx</option>
                        <option value="sk">sk</option>
                        <option value="si">si</option>
                        <option value="sb">sb</option>
                        <option value="so">so</option>
                        <option value="za">za</option>
                        <option value="gs">gs</option>
                        <option value="ss">ss</option>
                        <option value="es">es</option>
                        <option value="lk">lk</option>
                        <option value="sd">sd</option>
                        <option value="sr">sr</option>
                        <option value="sj">sj</option>
                        <option value="se">se</option>
                        <option value="ch">ch</option>
                        <option value="sy">sy</option>
                        <option value="tw">tw</option>
                        <option value="tj">tj</option>
                        <option value="tz">tz</option>
                        <option value="th">th</option>
                        <option value="tl">tl</option>
                        <option value="tg">tg</option>
                        <option value="tk">tk</option>
                        <option value="to">to</option>
                        <option value="tt">tt</option>
                        <option value="tn">tn</option>
                        <option value="tr">tr</option>
                        <option value="tm">tm</option>
                        <option value="tc">tc</option>
                        <option value="tv">tv</option>
                        <option value="ug">ug</option>
                        <option value="ua">ua</option>
                        <option value="ae">ae</option>
                        <option value="gb">gb</option>
                        <option value="us">us</option>
                        <option value="um">um</option>
                        <option value="uy">uy</option>
                        <option value="uz">uz</option>
                        <option value="vu">vu</option>
                        <option value="ve">ve</option>
                        <option value="vn">vn</option>
                        <option value="vg">vg</option>
                        <option value="vi">vi</option>
                        <option value="wf">wf</option>
                        <option value="eh">eh</option>
                        <option value="ye">ye</option>
                        <option value="zm">zm</option>
                        <option value="zw">zw</option>
                    </select>
                    </div>
                </div>

                <div class="row" id="completionRow">
                    <div class="col-25"><label for="additional_compl_data1">additional_compl_data1:</label></div>
                    <div class="col-75"><input type="text" id="additional_compl_data1" name="additional_compl_data1" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row" id="account_idDiv">
                    <div class="col-25"><label for="account_id">account_id:</label></div>
                    <div class="col-75"><input type="text" id="account_id" name="account_id" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row" id="card_panDiv">
                    <div class="col-25"><label for="card_pan">card_pan:</label></div>
                    <div class="col-75">
                    <input type="text" id="card_pan" name="card_pan" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row" id="card_expdateDiv">
                    <div class="col-25"><label for="card_expdate">card_expdate:</label></div>
                    <div class="col-75"><input type="text" id="card_expdate" name="card_expdate" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row" id="card_cvdDiv">
                    <div class="col-25"><label for="card_cvd">card_cvv:</label></div>
                    <div class="col-75"><input type="text" id="card_cvd" name="card_cvd" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row" id="loyalty_dataDiv">
                    <div class="col-25"><label for="loyalty_data">loyalty_data:</label></div>
                    <div class="col-75"><input type="text" id="loyalty_data" name="loyalty_data" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="display_pod">display_pod:</label></div>
                    <div class="col-75">
                    <select type="text" id="display_pod" name="display_pod" >
                        <option value=""></option>
                        <option value="0">false</option>
                        <option value="1">true</option>
                    </select>
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="fixed_card_type">fixed_card_type:</label></div>
                    <div class="col-75"><input type="text" id="fixed_card_type" name="fixed_card_type" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="fixed_installments">fixed_installments:</label></div>
                    <div class="col-75"><input type="text" id="fixed_installments" name="fixed_installments" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="proxy">proxy:</label></div>
                    <div class="col-75"><input type="text" id="proxy" name="proxy" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_email">customer_email:</label></div>
                    <div class="col-75"><input type="text" id="customer_email" name="customer_email" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="customer_phone">customer_phone:</label></div>
                    <div class="col-75"><input type="text" id="customer_phone" name="customer_phone" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="purchase_differperiod">purchase_differperiod:</label></div>
                    <div class="col-75"><input type="text" id = "purchase_differperiod" name="purchase_differperiod" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="terminal_id">terminal_id:</label></div>
                    <div class="col-75"><input type="text" id = "terminal_id" name="terminal_id" value="<?= $terminal_id ?>"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="iopg_id">iopg_id:</label></div>
                    <div class="col-75"><input type="text" id = "iopg_id" name="iopg_id" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="discounted_amount">discounted_amount:</label></div>
                    <div class="col-75"><input type="text" id = "discounted_amount" name="discounted_amount" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="discounted_card_types">discounted_card_types:</label></div>
                    <div class="col-75"><input type="text" id = "discounted_card_types" name="discounted_card_types" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="discounted_max_installments">discounted_max_installments:</label></div>
                    <div class="col-75"><input type="text" id = "discounted_max_installments" name="discounted_max_installments" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="order_delivery_date">order_delivery_date:</label></div>
                    <div class="col-75"><input type="text" id = "order_delivery_date" name="order_delivery_date" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    > </div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="payment_method">payment_method:</label></div>
                    <div class="col-75">
                    <select type="text" id="payment_method" name="payment_method" 
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    >
                        <option value=""></option>
                        <option value="card">card</option>
                        <option value="instant_payment">instant_payment</option>
                        <option value="keks">keks</option>
                        <option value="crypto">crypto</option>
                        <option value="cash">cash</option>
                    </select>
                    </div>
                </div>

                <div class="row">
                    <div class="col-25"><label for="request_hash">Calculated SHA512 hash:</label></div>
                    <div class="col-75"><input type="text" id="request_hash" name="request_hash" value=""
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>
                
                <div class="row">
                    <div class="col-25"><label for="urlLabel">URL:</label></div>
                    <div class="col-75"><input type="text" id="urlLabel" name="urlLabel" value="<?= $URL; ?>"
                        onChange="updateHash();"
                        onKeyUp="updateHash();"
                        onMouseUp="updateHash();"
                    ></div>
                </div>

                <br/><br/>

                <br/>

              </div>

              <br/>

          </form>


  
  


</body>

</html>
